#include <stdbool.h>
#include <stddef.h>
#include <inttypes.h>

#include "ch32v30x.h"
#include "debug.h"

int main(void)
{
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
	Delay_Init();
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOD, ENABLE);
	GPIO_InitTypeDef init_led = { GPIO_Pin_2, GPIO_Speed_50MHz, GPIO_Mode_Out_PP };
	GPIO_Init(GPIOD, &init_led);

	for (;;)
	{
		GPIO_WriteBit(GPIOD, GPIO_Pin_2, Bit_SET);
		Delay_Ms(250);
		GPIO_WriteBit(GPIOD, GPIO_Pin_2, Bit_RESET);
		Delay_Ms(250);
	}
}
